RTEMS: rtems_rtl_rap Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
rtems_rtl_rap Struct Reference

## Data Fields
rtems_rtl_obj_cache * | file
rtems_rtl_obj_comp * | decomp
uint32_t | length
uint32_t | version
uint32_t | compression
uint32_t | checksum
uint32_t | machinetype
uint32_t | datatype
uint32_t | class
uint32_t | init
uint32_t | fini
rtems_rtl_rap_section | secs [RTEMS_RTL_RAP_SECS]
uint32_t | symtab_size
char * | strtab
uint32_t | strtab_size
uint32_t | relocs_size
uint32_t | symbols
uint32_t | strtable_size
uint32_t | rpathlen
char * | strtable

## Detailed Description

The RAP loader.

## Field Documentation

## ◆ checksum

uint32_t rtems_rtl_rap::checksum

The checksum.

## ◆ class

uint32_t rtems_rtl_rap::class

The ELF class.

## ◆ compression

uint32_t rtems_rtl_rap::compression

The type of compression.

## ◆ datatype

uint32_t rtems_rtl_rap::datatype

The ELF data type.

## ◆ decomp

rtems_rtl_obj_comp* rtems_rtl_rap::decomp

The decompression streamer.

## ◆ file

rtems_rtl_obj_cache* rtems_rtl_rap::file

The file cache for the RAP file.

## ◆ fini

uint32_t rtems_rtl_rap::fini

The finish strtab offset.

## ◆ init

uint32_t rtems_rtl_rap::init

The initialisation strtab offset.

## ◆ length

uint32_t rtems_rtl_rap::length

The file length.

## ◆ machinetype

uint32_t rtems_rtl_rap::machinetype

The ELF machine type.

## ◆ relocs_size

uint32_t rtems_rtl_rap::relocs_size

The relocation table size.

## ◆ rpathlen

uint32_t rtems_rtl_rap::rpathlen

The length of rpath.

## ◆ secs

rtems_rtl_rap_section rtems_rtl_rap::secs[RTEMS_RTL_RAP_SECS]

The sections.

## ◆ strtab

char* rtems_rtl_rap::strtab

The string table.

## ◆ strtab_size

uint32_t rtems_rtl_rap::strtab_size

The string table size.

## ◆ strtable

char* rtems_rtl_rap::strtable

The detail string which resides in obj detail.

## ◆ strtable_size

uint32_t rtems_rtl_rap::strtable_size

The size of section names and obj names.

## ◆ symbols

uint32_t rtems_rtl_rap::symbols

The number of symbols.

## ◆ symtab_size

uint32_t rtems_rtl_rap::symtab_size

The symbol table size.

## ◆ version

uint32_t rtems_rtl_rap::version

The RAP file version.

The documentation for this struct was generated from the following file:

- cpukit/libdl/rtl-rap.c